Package org.drinkless.tdlib

# Class TdApi.MessageInvoice

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageInvoice

Enclosing class:
  `TdApi`

public static class TdApi.MessageInvoice extends TdApi.MessageContent
A message with an invoice from a bot. Use getInternalLink with internalLinkTypeBotStart to share the invoice.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  Currency for the product price.
  `boolean`
  `isTest`
  True, if the invoice is a test invoice.
  `boolean`
  `needShippingAddress`
  True, if the shipping address must be specified.
  `TdApi.PaidMedia`
  `paidMedia`
  Extended media attached to the invoice; may be null if none.
  `TdApi.FormattedText`
  `paidMediaCaption`
  Extended media caption; may be null if none.
  `TdApi.ProductInfo`
  `productInfo`
  Information about the product.
  `long`
  `receiptMessageId`
  The identifier of the message with the receipt, after the product has been purchased.
  `String`
  `startParameter`
  Unique invoice bot startParameter to be passed to getInternalLink.
  `long`
  `totalAmount`
  Product total price in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageInvoice()`
  A message with an invoice from a bot.
  `MessageInvoice(TdApi.ProductInfo productInfo, String currency, long totalAmount, String startParameter, boolean isTest, boolean needShippingAddress, long receiptMessageId, TdApi.PaidMedia paidMedia, TdApi.FormattedText paidMediaCaption)`
  A message with an invoice from a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### productInfo

    public TdApi.ProductInfo productInfo
    Information about the product.

  - ### currency

    public String currency
    Currency for the product price.

  - ### totalAmount

    public long totalAmount
    Product total price in the smallest units of the currency.

  - ### startParameter

    public String startParameter
    Unique invoice bot startParameter to be passed to getInternalLink.

  - ### isTest

    public boolean isTest
    True, if the invoice is a test invoice.

  - ### needShippingAddress

    public boolean needShippingAddress
    True, if the shipping address must be specified.

  - ### receiptMessageId

    public long receiptMessageId
    The identifier of the message with the receipt, after the product has been purchased.

  - ### paidMedia

    @Nullable public TdApi.PaidMedia paidMedia
    Extended media attached to the invoice; may be null if none.

  - ### paidMediaCaption

    @Nullable public TdApi.FormattedText paidMediaCaption
    Extended media caption; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageInvoice

    public MessageInvoice()
    A message with an invoice from a bot. Use getInternalLink with internalLinkTypeBotStart to share the invoice.

  - ### MessageInvoice

    public MessageInvoice(TdApi.ProductInfo productInfo, String currency, long totalAmount, String startParameter, boolean isTest, boolean needShippingAddress, long receiptMessageId, TdApi.PaidMedia paidMedia, TdApi.FormattedText paidMediaCaption)
    A message with an invoice from a bot. Use getInternalLink with internalLinkTypeBotStart to share the invoice.
    Parameters:
      `productInfo` - Information about the product.
      `currency` - Currency for the product price.
      `totalAmount` - Product total price in the smallest units of the currency.
      `startParameter` - Unique invoice bot startParameter to be passed to getInternalLink.
      `isTest` - True, if the invoice is a test invoice.
      `needShippingAddress` - True, if the shipping address must be specified.
      `receiptMessageId` - The identifier of the message with the receipt, after the product has been purchased.
      `paidMedia` - Extended media attached to the invoice; may be null if none.
      `paidMediaCaption` - Extended media caption; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR